### Function

# Gimp brush_set_hardness

#### Declaration [src]

    gdouble
    gimp_brush_set_hardness (
      const gchar* name,
      gdouble hardness_in
    )

#### Description [src]

Sets the hardness of a generated brush.

This procedure sets the hardness for a generated brush. If called for any other type of brush, it does not succeed. The value should be a float between 0.0 and 1.0.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`hardness_in` | `gdouble`
| The desired brush hardness.

#### Return value

Returns: | `gdouble`
| The brush hardness actually assigned.